complexType "CreditDefaultSwap"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, generalTerms?, feeLeg?, protectionTerms*, (cashSettlementTerms | physicalSettlementTerms)*
</...>

Content Model Elements (11):

  assetClass (defined in Product.model group), cashSettlementTerms, embeddedOptionType, feeLeg (defined in CreditDefaultSwap complexType), generalTerms (defined in CreditDefaultSwap complexType), physicalSettlementTerms, | primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), productType (defined in Product.model group), protectionTerms (defined in CreditDefaultSwap complexType), secondaryAssetClass (defined in Product.model group)

All Direct / Indirect Based Elements (2):

  creditDefaultSwap, | creditDefaultSwap (in creditDefaultSwapOption)

Known Usage Locations

- As direct type of elements (2):

  creditDefaultSwap, | creditDefaultSwap (in creditDefaultSwapOption)

Type Definition Detail

Type Derivation Tree Product (extension) CreditDefaultSwap

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CreditDefaultSwap"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="generalTerms" type="GeneralTerms"/> <xsd:element minOccurs="0" name="feeLeg" type="FeeLeg"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="protectionTerms" type="ProtectionTerms"/> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element name="cashSettlementTerms" type="CashSettlementTerms"/> <xsd:element name="physicalSettlementTerms" type="PhysicalSettlementTerms"/> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/11)
cashSettlementTerms

  Type: | CashSettlementTerms, complex content

  This element contains all the ISDA terms relevant to cash settlement for when cash settlement is applicable. ISDA 2003 Term: Cash Settlement
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="cashSettlementTerms" type="CashSettlementTerms"/>

feeLeg

  Type: | FeeLeg, complex content

  This element contains all the terms relevant to defining the fixed amounts/payments per the applicable ISDA definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feeLeg" type="FeeLeg"/>

generalTerms

  Type: | GeneralTerms, complex content

  This element contains all the data that appears in the section entitled "1. General Terms" in the 2003 ISDA Credit Derivatives Confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="generalTerms" type="GeneralTerms"/>

physicalSettlementTerms

  Type: | PhysicalSettlementTerms, complex content

  This element contains all the ISDA terms relevant to physical settlement for when physical settlement is applicable. ISDA 2003 Term: Physical Settlement
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="physicalSettlementTerms" type="PhysicalSettlementTerms"/>

protectionTerms

  Type: | ProtectionTerms, complex content

  This element contains all the terms relevant to defining the applicable floating rate payer calculation amount, credit events and associated conditions to settlement, and reference obligations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="protectionTerms" type="ProtectionTerms"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.